org.glassfish.jersey.server

## Class ParamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jakarta.ws.rs.WebApplicationException
        - - org.glassfish.jersey.server.ParamException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ParamException.CookieParamException, ParamException.FormParamException, ParamException.HeaderParamException, ParamException.UriParamException

    public abstract class ParamException
    extends jakarta.ws.rs.WebApplicationException

An abstract extension of `WebApplicationException` for the class of parameter-based exceptions.

Exceptions that are instances of this class will be thrown if the runtime encounters an error obtaining a parameter value, from a request, for a Java type that is annotated with a parameter-based annotation, such as `QueryParam`. For more details see section 3.2 of the JAX-RS specification.

An `ExceptionMapper` may be configured to map this class or a sub-class of to customize responses for parameter-based errors.

Unless otherwise stated all such exceptions of this type will contain a response with a 400 (Client error) status code.

Author:
  Paul Sandoz, Marek Potociar
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ParamException.CookieParamException` A parameter exception for errors with `CookieParam`.
`static class` `ParamException.FormParamException` A parameter exception for errors with `FormParam`.
`static class` `ParamException.HeaderParamException` A parameter exception for errors with `HeaderParam`.
`static class` `ParamException.MatrixParamException` A URI-parameter-based exception for errors with `MatrixParam`.
`static class` `ParamException.PathParamException` A URI-parameter-based exception for errors with `PathParam`.
`static class` `ParamException.QueryParamException` A URI-parameter-based exception for errors with `QueryParam`.
`static class` `ParamException.UriParamException` An abstract parameter exception for the class of URI-parameter-based exceptions.

### Constructor Summary

Constructors
`protected` `ParamException(Throwable cause, jakarta.ws.rs.core.Response.StatusType status, Class<? extends Annotation> parameterType, String name, String defaultStringValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDefaultStringValue()` Get the default String value.
`String` `getParameterName()` Get the parameter name.
`Class<? extends Annotation>` `getParameterType()` Get the type of the parameter annotation.

### Methods inherited from class jakarta.ws.rs.WebApplicationException

`getResponse`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParamException

    protected ParamException(Throwable cause,
                             jakarta.ws.rs.core.Response.StatusType status,
                             Class<? extends Annotation> parameterType,
                             String name,
                             String defaultStringValue)

### Method Detail

#### getParameterType

    public Class<? extends Annotation> getParameterType()

Get the type of the parameter annotation.

Returns:
  the type of the parameter annotation.

#### getParameterName

    public String getParameterName()

Get the parameter name.

Returns:
  the parameter name.

#### getDefaultStringValue

    public String getDefaultStringValue()

Get the default String value.

Returns:
  the default String value.